View a markdown version of this page

GetAvailableModule - AWS RTB Fabric

GetAvailableModule

Returns a module that you can attach. If you can't attach the module, the operation returns ResourceNotFoundException, the same as for a missing one.

Request Syntax

GET /available-modules/moduleId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

moduleId

The module's ID.

Pattern: module-[a-zA-Z0-9]{1,25}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "createdAt": number, "description": "string", "marketplaceProductId": "string", "moduleArn": "string", "moduleId": "string", "moduleName": "string", "subscriptionStatus": "string", "subscriptionType": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

createdAt

The time when the module was created.

Type: Timestamp

description

The module's description.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 1024.

marketplaceProductId

The Marketplace product the module is sold under. Present only when subscriptionType is MARKETPLACE.

Type: String

moduleArn

The module's ARN.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 1011.

Pattern: arn:aws[a-zA-Z-]*:rtbfabric:[a-z0-9-]+::modules/module-[a-zA-Z0-9]{1,25}

moduleId

The module's ID.

Type: String

Pattern: module-[a-zA-Z0-9]{1,25}

moduleName

A label, not unique: modules can share a name.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [A-Za-z0-9][A-Za-z0-9-]*

subscriptionStatus

The status of your access to the module. ACTIVE for every module returned. A module that you no longer have access to isn't returned.

Type: String

Valid Values: ACTIVE | EXPIRED

subscriptionType

The type of access that you have to the module.

Type: String

Valid Values: MARKETPLACE | PRIVATE | AWS_BUILT_IN

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request could not be completed because you do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

The request could not be completed because of an internal server error. Try your call again.

HTTP Status Code: 500

ResourceNotFoundException

The request could not be completed because the resource does not exist.

HTTP Status Code: 404

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request could not be completed because it fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: